# class NamedIterator | NamedList parameters iterator. More...
Full name | `TelEngine::NamedIterator`
Definition | `#include <yateclass.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline NamedIterator (const NamedList& list)
- inline NamedIterator (const NamedIterator& original)
- inline NamedIterator& operator= (const NamedList& list)
- inline NamedIterator& operator= (const NamedIterator& original)
- const NamedString* get ()
- inline bool eof () const
- inline void reset ()

## Detailed Description

An iterator for NamedString parameters of a NamedList. Fast but unsafe, the list must not be modified during iteration.

inline NamedIterator (const NamedList& list) | ### NamedIterator

Constructor

Parameters:

list | NamedList whose parameters are iterated

inline NamedIterator (const NamedIterator& original) | ### NamedIterator

Copy constructor, points to same list and position as the original

Parameters:

original | Iterator to copy from

inline NamedIterator& operator= (const NamedList& list) | ### operator=

Assignment from list operator

Parameters:

list | NamedList whose parameters are iterated

inline NamedIterator& operator= (const NamedIterator& original) | ### operator=

Assignment operator, points to same list and position as the original

Parameters:

original | Iterator to copy from

const NamedString* get () | ### get

Get the current parameter and advance in the list

Returns: Pointer to list parameter or NULL if advanced past end (eof)

inline bool eof () | ### eof

[const]

Check if the iteration reached end of the parameters list

inline void reset () | ### reset

Reset the iterator to the first position in the parameters list

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.